Intrusion Prevention

WSMP.Overflow

Description

This indicates a potential overflow vulnerability in WsMp3 server.


WsMp3 is an open source project for streaming MP3 files. Due to insufficient parameter checking on user inputs, an attacker can exploit the vulnerability to execute arbitrary file on the target machine.

Affected Products

WsMp3 server versions up to and including 0.0.6

Impact

Attackers can execute arbitrary files on victim machine

Recommended Actions

Apply appropriate patches or upgrade the system to the latest non-vulnerable version